org.apache.flume.instrumentation

## Class SinkCounter

- java.lang.Object
- - org.apache.flume.instrumentation.MonitoredCounterGroup
  - - org.apache.flume.instrumentation.SinkCounter

- All Implemented Interfaces:
    SinkCounterMBean
  Direct Known Subclasses:
    KafkaSinkCounter

      public class SinkCounter
      extends MonitoredCounterGroup
      implements SinkCounterMBean

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `MonitoredCounterGroup.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkCounter(String name)`
    `SinkCounter(String name, String[] attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `addToEventDrainAttemptCount(long delta)`
    `long` | `addToEventDrainSuccessCount(long delta)`
    `long` | `getBatchCompleteCount()`
    `long` | `getBatchEmptyCount()`
    `long` | `getBatchUnderflowCount()`
    `long` | `getConnectionClosedCount()`
    `long` | `getConnectionCreatedCount()`
    `long` | `getConnectionFailedCount()`
    `long` | `getEventDrainAttemptCount()`
    `long` | `getEventDrainSuccessCount()`
    `long` | `incrementBatchCompleteCount()`
    `long` | `incrementBatchEmptyCount()`
    `long` | `incrementBatchUnderflowCount()`
    `long` | `incrementConnectionClosedCount()`
    `long` | `incrementConnectionCreatedCount()`
    `long` | `incrementConnectionFailedCount()`
    `long` | `incrementEventDrainAttemptCount()`
    `long` | `incrementEventDrainSuccessCount()`

    - ### Methods inherited from class org.apache.flume.instrumentation.MonitoredCounterGroup

      `addAndGet, get, getStartTime, getStopTime, getType, increment, set, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.flume.instrumentation.SinkCounterMBean

      `getStartTime, getStopTime, getType`

- - ### Constructor Detail

    - #### SinkCounter

          public SinkCounter(String name)

    - #### SinkCounter

          public SinkCounter(String name,
                     String[] attributes)

  - ### Method Detail

    - #### getConnectionCreatedCount

          public long getConnectionCreatedCount()

      Specified by:
        `getConnectionCreatedCount` in interface `SinkCounterMBean`

    - #### incrementConnectionCreatedCount

          public long incrementConnectionCreatedCount()

    - #### getConnectionClosedCount

          public long getConnectionClosedCount()

      Specified by:
        `getConnectionClosedCount` in interface `SinkCounterMBean`

    - #### incrementConnectionClosedCount

          public long incrementConnectionClosedCount()

    - #### getConnectionFailedCount

          public long getConnectionFailedCount()

      Specified by:
        `getConnectionFailedCount` in interface `SinkCounterMBean`

    - #### incrementConnectionFailedCount

          public long incrementConnectionFailedCount()

    - #### getBatchEmptyCount

          public long getBatchEmptyCount()

      Specified by:
        `getBatchEmptyCount` in interface `SinkCounterMBean`

    - #### incrementBatchEmptyCount

          public long incrementBatchEmptyCount()

    - #### getBatchUnderflowCount

          public long getBatchUnderflowCount()

      Specified by:
        `getBatchUnderflowCount` in interface `SinkCounterMBean`

    - #### incrementBatchUnderflowCount

          public long incrementBatchUnderflowCount()

    - #### getBatchCompleteCount

          public long getBatchCompleteCount()

      Specified by:
        `getBatchCompleteCount` in interface `SinkCounterMBean`

    - #### incrementBatchCompleteCount

          public long incrementBatchCompleteCount()

    - #### getEventDrainAttemptCount

          public long getEventDrainAttemptCount()

      Specified by:
        `getEventDrainAttemptCount` in interface `SinkCounterMBean`

    - #### incrementEventDrainAttemptCount

          public long incrementEventDrainAttemptCount()

    - #### addToEventDrainAttemptCount

          public long addToEventDrainAttemptCount(long delta)

    - #### getEventDrainSuccessCount

          public long getEventDrainSuccessCount()

      Specified by:
        `getEventDrainSuccessCount` in interface `SinkCounterMBean`

    - #### incrementEventDrainSuccessCount

          public long incrementEventDrainSuccessCount()

    - #### addToEventDrainSuccessCount

          public long addToEventDrainSuccessCount(long delta)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.